1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Admin nach Einspielung Sicherung nicht mehr erreichbar

Dieses Thema im Forum "Installation" wurde erstellt von webmaster-uk, 15. Juli 2020.

  1. webmaster-uk

    webmaster-uk Well-Known Member

    Registriert seit:
    18. November 2016
    Beiträge:
    84
    Zustimmungen:
    1
    Hallo zusammen,

    ich wollte einige Anpassungen vornehmen und habe mit Duplicator ein Backup gemacht.
    Nachdem ich einiges getestet hatte und nun alles wieder auf den Ursprung zurück führen wollte, kann ich nun den Adminbereich nicht mehr aufrufen.

    Ich habe das Backup wie in der Anleitung steht eingespielt

    www.domain.de/installter.php
    Dort die Schritte befolgt und auch ein positives Ergebnis bekommen, dass das Backup eingespielt wurde.

    Möchte ich mich allerdings in den Aminbereich einloggen, erhalten ich nach Eingabe der Login-Daten folgende Fehlermeldungen

    Warning: Declaration of Axiom_Plugin_Updater::download_package($package) should be compatible with WP_Upgrader::download_package($package, $check_signatures = false) in /homepages/43/d97086486/htdocs/wp-content/plugins/masterslider/admin/includes/classes/class-axiom-plugin-updater.php on line 29

    Warning: Declaration of Auxin_Theme_Updater::download_package($package) should be compatible with WP_Upgrader::download_package($package, $check_signatures = false) in /homepages/43/d97086486/htdocs/wp-content/themes/phlox-pro/auxin/auxin-include/classes/class-auxin-theme-updater.php on line 30

    Warning: Cannot modify header information - headers already sent by (output started at /homepages/43/d97086486/htdocs/wp-content/plugins/masterslider/admin/includes/classes/class-axiom-plugin-updater.php:29) in /homepages/43/d97086486/htdocs/wp-includes/pluggable.php on line 1281

    Warning: Cannot modify header information - headers already sent by (output started at /homepages/43/d97086486/htdocs/wp-content/plugins/masterslider/admin/includes/classes/class-axiom-plugin-updater.php:29) in /homepages/43/d97086486/htdocs/wp-includes/pluggable.php on line 1284


    Rufe ich die Seite normal im Browser auf, steht sie, wie gewünscht, im Wartungsmodus.

    Was ist hier schief gelaufen und wie bekomme ich das jetzt wieder hin?
    Falls wichtig, hier die Domain

    Hoffe ihr könnt mir helfen.
    Vielen Dank.
     
  2. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.475
    Zustimmungen:
    759
    Das genutzte Plugin Master Slider 3.2.10 kommt offenbar mit der PHP-Version 7.2.31 des Servers nicht zurecht.

    Lösungsmöglichkeiten:
    • Nutze die gleiche PHP-Version wie auf dem Entwicklungsserver
    • Aktualisiere das Plugin Master Slider per FTP auf eine aktuelle Version
    • Benenne den Plugin-Ordner masterslider per FTP temporär um, das deaktiviert das Plugin, dann kannst Du Dich anmelden
     
  3. webmaster-uk

    webmaster-uk Well-Known Member

    Registriert seit:
    18. November 2016
    Beiträge:
    84
    Zustimmungen:
    1
    okay ich versuche es dann mal aber ich frage mich wie sowas passieren kann.
    Es gab ja keinen Entwicklungsserver. Die Webseite lief ganz normal, dann habe ich eine Sicherung angelegt, ein paar Updates der Plugins gemacht und ein paar Sachen geändert an Texten und um alles wieder auf null zu stellen einfach wieder das Backup eingespielt und dann kam der Fehler :(

    EDIT:

    Das Umbennen des Ordners Masterslider hat auch nur zur Fehlerbehebung der ersten Meldung geführt. Die anderen Fehler bestehen weiterhin und der Adminbereich ist nicht aufzurufen
     
  4. webmaster-uk

    webmaster-uk Well-Known Member

    Registriert seit:
    18. November 2016
    Beiträge:
    84
    Zustimmungen:
    1
    Ich habe jetzt zustäzlich noch verschiedene PHP Versionen durchgetestet und der Fehler besteht weiterhin. Auch die Akualisierung des Plugins gab keinen Erfolg.

    Wie gesagt, ich habe ja nichts geändert außer die Datenbanksicherung wieder eingespielt und dann kam diese Fehlermeldung.

    Woran kann es noch liegen?
    Bin Ratlos o_O
     
  5. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.475
    Zustimmungen:
    759
    Es ist weiterhin die alte Version 3.2.10 von Master Slider installiert...
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Der Code des Plugins und des Themes passt nicht zur aktuellen PHP und WordPress Version.
     
  6. webmaster-uk

    webmaster-uk Well-Known Member

    Registriert seit:
    18. November 2016
    Beiträge:
    84
    Zustimmungen:
    1
    ich hatte die neue Version dann wieder durch die alte ersetzt nachdem es nichts gebracht hatte.
    Jetzt ist dann wieder die Neue Version 3.5.8 auf dem Server. Ich habe Sie entpackt und in Plugins per FileZilla geschoben. Ist sie damit dann ja automatisch installiert oder?

    Der Code des Plugins und des Themes passt nicht zur aktuellen PHP und WordPress Version.

    Und was mache ich da jetzt?
    Da heißt es, mach ein Backup und dir kann nix passieren... dann spiele ich das Backup ein und es funktioniert nichts mehr :rolleyes:o_O
     
  7. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    7.475
    Zustimmungen:
    759
    Der Ordner des Master Slider Plugins ist jetzt gar nicht mehr vorhanden oder umbenannt, das Plugin ist also inaktiv.

    Es läuft derzeit die neuste WordPress Version 5.4.2 vom 15.07.2020, die passt nicht zur veralteten Version 5.0.15 des Phlox Pro Themes vom 02.09.2018.
    Code:
    Entschuldige, aber du musst dich registrieren oder anmelden um den Inhalt sehen zu können!
    Offenbar funktioniert Dein Einspielen des Backups nicht oder nicht vollständig.

    Wende Dich am besten an die Person, die den Website technisch betreut, die sollte Dir einfach helfen können und hat vermutlich auch alle relevanten Zugangsdaten vorliegen.
     
  8. webmaster-uk

    webmaster-uk Well-Known Member

    Registriert seit:
    18. November 2016
    Beiträge:
    84
    Zustimmungen:
    1
    ich habe jetzt einfach noch einmal Versucht das Update mit Duplicator einzuspielen. Dann gab es eine Fehlermeldung mit mehreren kritischer Fehlern lt. Duplikator aber seitdem funktioniert auf einmal wieder alles...

    versteh ich zwar absolut nicht aber immerhin ist das Problem jetzt beseitigt.

    Vielen Dank für die Unterstützung :)
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden